<!DOCTYPE html>
<html>
  <head>
    <title>PostgREST demo</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="./style.css">
  </head>
  <body>
    <div class="container">
      <div>
        <span id="displayName"></span>
        <button id="logout" style="display: none">Logout</button>
      </div>
      <div id="loginWidgets" style="display: none">
        <form id="loginForm">
          <label>Username
            <input type="text" name="username" id="username">
          </label>
          <label>Password
            <input type="password" name="password" id="password">
          </label>
          <button role="submit">Log in</button>
        </form>
        <button id="google-login">Login with Google</button>
      </div>
      <h1>TODOs</h1>
      <button id="fetchTodosBtn">Fetch TODOs</button>
      <div id="todos"></div>
    </div>
    <script src="./main.js"></script>
    <script src="https://apis.google.com/js/platform.js?onload=gapiInit" async defer></script>
  </body>
</html>